iPhone Cydia cannot comply

Discussion in 'Jailbreaks and iOS Hacks' started by fcjohnny, Apr 24, 2012.

  1. fcjohnny macrumors newbie

    Joined:
    Apr 24, 2012
    #1
    I just jb my iPhone 4 with redsn0w tethered to attempt the SAM unlock. Whenever I attempt to install SAM I run into Cydia Cannot Comply. I have uploaded a photo of the issue. :mad:


    [​IMG]

    Any suggestions? I've attempted finding a solution with the help of google and it has only led me to dead ends with no answers. Any suggestions will be greatly appreciated...
     
  2. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #2
    You need to update/install MobileSubstrate (do this first by itself)
    Then reboot, reload Cydia and try your SAM install again.
    Choose the SAM prefs to install, it will add SAM to the install automatically.
    If it doesn't add the ACUtil automatically, install it also.
     
  3. AtariPixel macrumors newbie

    Joined:
    Dec 13, 2007
    Location:
    Atlanta, GA
    #3
    Same issue

    I had the same issue. I installed MobileSubstrate like dhlizard suggested and rebooted. Cleared all apps, loaded Cydia and SAM installed properly.
     
  4. mustahaque, Jul 31, 2012
    Last edited: Jul 31, 2012

    mustahaque macrumors newbie

    Joined:
    Jul 31, 2012
    #4
    I am trying to find MobileSubstrate but un able to find it. After doing some research i found that the repo that supposed to have the MobleSubstrate is not loading. It turns out empty. How to fix that issue.
    [​IMG]
    thanks
     
  5. BumpyFlatline macrumors 68030

    BumpyFlatline

    Joined:
    Apr 11, 2012
    #5
    Have you tried deleting the repo and then re-adding it back? Also I have an app called iCleaner. I'm not sure if it's in the repo you're trying to access but in this app, there's a feature that you're only supposed to use when your repos get messed it. The app goes in and I think it deletes them so you can start fresh. I'm not 100% sure because I've never used it. I just know that feature exists for people having repo problems. I'd use this as an absolute last resort, if you can even download the app. I don't want to give you the wrong advice. I'm just throwing this out there. Proceed with caution my friend!
     
  6. Nihaokylannn macrumors newbie

    Joined:
    Aug 14, 2012
    #6
    Every time I try to install there is an error
    Five Icon dock = cannot comply
    Activator = cannot locate package what can I do ?
     
  7. choo2323 macrumors newbie

    Joined:
    Sep 8, 2012
    #7
    when i try to download emoji pro i get cannot comply
     
  8. BumpyFlatline macrumors 68030

    BumpyFlatline

    Joined:
    Apr 11, 2012
    #8
    Refresh the sources, close out cydia from the task switcher, reboot or respring the device. Eventually it'll work.
     
  9. seliva07 macrumors newbie

    Joined:
    Sep 20, 2012
    #9
    I have this problem in my iphone 4. It keeps on saying "cannot comply" when im trying to install "foldersinfolders" in cydia. It says that "depends iOS firmaware<5.0" Is there anyone who can help me with this? Please. :'(
     
  10. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #10
    That tweak is for 4+ firmware only as cydia indicates, what iOS version are you on at the moment?

    Use Folderenhancer which has the same option in 5+ firmware
     

Share This Page